
Auto Multiple Choice - Bug # 551: AMC git:5fc421e9, les courriers ne partent pas

Status: Closed Priority: Normal
Author: Joël Brogniart Category:
Created: 04/09/2018 Assignee:
Updated: 05/10/2018 Due date:
Description: Sous macOS 10.13.4 (MacPorts 2.4.2, Xcode 9.3), avec AMC git:5fc421e9, les courriers ne partent pas. 

Dans mon terminal, j'ai un message
<pre>
WARNING: Object mailing not found in mailing glade file.
</pre>

affiché. Je joins le journal debug. J'ai l'impression qu'il s'agit d'un problème de path de fichier avec des 
espaces et des accents non quoté car le fichier existe bien. Je vais fouiller un peu plus le code pour voir les 
changements. J'ai fait des tests d'envoi qui avaient fonctionné il n'y a pas trop longtemps mais je ne sais plus 
avec quelle version (en tout cas avant la bascule vers gilab).

History
04/09/2018 02:18 pm - Joël Brogniart
Je pense que le problème provient du caractère accentué dans le nom de l'étudiant. Lorsque j'enlève le caractère accentué, le courrier part 
correctement. Le fichier des étudiants est encodé en UTF8 et le système de fichier macOS est UTF8 aussi.

04/10/2018 11:52 am - Joël Brogniart
Je viens de tester le même projet avec AMC @ git:603e1d68 du 21/3/2018 et là les mails partent.

04/10/2018 03:44 pm - Joël Brogniart
En fouillant un peu, le nom de fichier généré par _AMC-perl/AMC/Annotate.pm_ n'est pas le même que celui recherché dans _AMC-mailing.pl_. Le 
problème apparait à partir de la version git:5f3f64eb.

05/02/2018 04:21 pm - Joël Brogniart
Il semble qu'un changement récent ait résolu le problème car ça fonctionne à nouveau avec la version git:a488cdbc. Certainement la résolution de 
l'issue #552.

05/04/2018 07:39 am - Alexis Bienvenüe
- Status changed from New to Resolved

- % Done changed from 0 to 100

Oui, désolé, j'ai omis de faire référence à ce changement ici. Merci pour le test.

05/10/2018 07:38 am - Alexis Bienvenüe
- Status changed from Resolved to Closed

Files
AMC-DEBUG-18bUh9Em.log 13.3 kB 04/09/2018 Joël Brogniart
AMC-PACK-YVVEVA8N.xml 1.7 kB 04/09/2018 Joël Brogniart
mailing.log 225 Bytes 04/09/2018 Joël Brogniart
